#!/usr/bin/env python3
from bitten import *

@bite(Minimize(0), budget=1_000, _debug=True)
def nothing(x):
    return 420.69

print("OPTIMIZED:", nothing.__optimized__, "RESULT:", nothing.__result__, sep="\n")

@bite(Minimize(1, 2), budget=1_000, _debug=True)
def nothing(a, b):
    return a + b

print("OPTIMIZED:", nothing.__optimized__, "RESULT:", nothing.__result__, sep="\n")
